package edu.unl.cse.soft161.inheritance_examples.both_dry_violations;

import java.util.ArrayList;
import java.util.List;

public class AgeCohort {
	private int minimum;
	private int maximum;

	public AgeCohort(int minimum, int maximum) {
		this.minimum = minimum;
		this.maximum = maximum;
	}

	private boolean includesByAge(Patient patient) {
		return minimum <= patient.getAge() && patient.getAge() <= maximum;
	}

	public List<Patient> filter(List<Patient> patients) {
		List<Patient> results = new ArrayList<Patient>();
		for (Patient patient : patients) {
			if (includesByAge(patient)) {
				results.add(patient);
			}
		}
		return results;
	}
}
