package edu.unl.cse.soft161.inheritance_examples.dry_violation_in_method_body;

import java.time.ZonedDateTime;
import java.util.List;

public class SIRSAlert {
	private String type;
	private String patient;
	private ZonedDateTime timestamp;
	private String message;
	private List<String> evidence;

	public SIRSAlert(String type, String patient, ZonedDateTime timestamp, String message, List<String> evidence) {
		this.type = type;
		this.patient = patient;
		this.timestamp = timestamp;
		this.message = message;
		this.evidence = evidence;
	}

	public String getType() {
		return type;
	}

	public String getPatient() {
		return patient;
	}

	public ZonedDateTime getTimestamp() {
		return timestamp;
	}

	public String getMessage() {
		return message;
	}
	
	public List<String> getEvidence() {
		return evidence;
	}
}
