package edu.unl.cse.soft161.inheritance_examples.both_dry_violations;

import java.util.ArrayList;
import java.util.List;

public class RegionalCohort {
	private String region;

	public RegionalCohort(String region) {
		this.region = region;
	}

	private boolean includesByRegion(Patient patient) {
		return patient.getRegion().equals(region);
	}

	public List<Patient> filter(List<Patient> patients) {
		List<Patient> results = new ArrayList<Patient>();
		for (Patient patient : patients) {
			if (includesByRegion(patient)) {
				results.add(patient);
			}
		}
		return results;
	}
}
