package edu.unl.cse.soft161.refactored.both_dry_violations;

import java.util.ArrayList;
import java.util.List;

public abstract class Cohort {
	protected abstract boolean includes(Patient patient);

	public List<Patient> filter(List<Patient> patients) {
		List<Patient> results = new ArrayList<Patient>();
		for (Patient patient : patients) {
			if (includes(patient)) {
				results.add(patient);
			}
		}
		return results;
	}

}