package edu.unl.cse.soft161.refactored.dry_violation_in_method_body;

import java.time.ZonedDateTime;

public class Alert {
	private String type;
	private String patient;
	private ZonedDateTime timestamp;
	private String message;

	public Alert(String type, String patient, ZonedDateTime timestamp, String message) {
		this.type = type;
		this.patient = patient;
		this.timestamp = timestamp;
		this.message = message;
	}

	public String getType() {
		return type;
	}

	public String getPatient() {
		return patient;
	}

	public ZonedDateTime getTimestamp() {
		return timestamp;
	}

	public String getMessage() {
		return message;
	}
}
